Namespaces | Enumerations
EtonyekDocument.cpp File Reference
`#include <libetonyek/libetonyek.h>`
`#include <cassert>`
`#include <cstring>`
`#include <memory>`
`#include <boost/algorithm/string/predicate.hpp>`
`#include <boost/optional.hpp>`
`#include <libxml/xmlreader.h>`
`#include "libetonyek_utils.h"`
`#include "libetonyek_xml.h"`
`#include "IWAMessage.h"`
`#include "IWASnappyStream.h"`
`#include "IWORKPresentationRedirector.h"`
`#include "IWORKSpreadsheetRedirector.h"`
`#include "IWORKSubDirStream.h"`
`#include "IWORKTextRedirector.h"`
`#include "IWORKTokenizer.h"`
`#include "IWORKZlibStream.h"`
`#include "KEY1Dictionary.h"`
`#include "KEY1Parser.h"`
`#include "KEY1Token.h"`
`#include "KEY2Dictionary.h"`
`#include "KEY2Parser.h"`
`#include "KEY2Token.h"`
`#include "KEY6Parser.h"`
`#include "KEYCollector.h"`
`#include "NUMCollector.h"`
`#include "NUM1Dictionary.h"`
`#include "NUM1Parser.h"`
`#include "NUM1Token.h"`
`#include "NUM3Parser.h"`
`#include "PAGCollector.h"`
`#include "PAG1Dictionary.h"`
`#include "PAG1Parser.h"`
`#include "PAG1Token.h"`
`#include "PAG5Parser.h"`

## Namespaces
| libetonyek

## Enumerations
enum | libetonyek::@152::Format

## Enumeration Type Documentation

## ◆ Format

enum libetonyek::@152::Format

## Variable Documentation

## ◆ m_confidence

EtonyekDocument::Confidence m_confidence

## ◆ m_format

Format m_format

Referenced by libetonyek::IWORKDateTimeFormatElement::attribute(), and libetonyek::IWORKDurationFormatElement::attribute().

## ◆ m_fragments

RVNGInputStreamPtr_t m_fragments

## ◆ m_input

RVNGInputStreamPtr_t m_input

## ◆ m_package

RVNGInputStreamPtr_t m_package

## ◆ m_type

EtonyekDocument::Type m_type